Community
cancel
Showing results for 
Search instead for 
Did you mean: 
idata
Community Manager
2,574 Views

InvalidArgumentError: You must feed a value for placeholder tensor 'input' with dtype float

I have been facing this error when I am trying to convert a tensorflow model to graph file. I have optimized the model using bazel and froze the graph using gFile function present in tensorflow.

 

mvNCCheck optimized_graph1.pb -s 12 -in input_input -on output/Softmax -is 28 28

 

mvNCCheck v02.00, Copyright @ Movidius Ltd 2016

 

/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/util/tf_inspect.py:75: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead

 

return _inspect.getargspec(target)

 

Traceback (most recent call last):

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/client/session.py", line 1334, in _do_call

 

return fn(*args)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/client/session.py", line 1319, in _run_fn

 

options, feed_dict, fetch_list, target_list, run_metadata)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/client/session.py", line 1407, in _call_tf_sessionrun

 

run_metadata)

 

tensorflow.python.framework.errors_impl.InvalidArgumentError: You must feed a value for placeholder tensor 'input_input' with dtype float and shape [?,28,28,1]

 

[[{{node input_input}} = Placeholder[dtype=DT_FLOAT, shape=[?,28,28,1], _device="/job:localhost/replica:0/task:0/device:CPU:0"]()]]

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

 

File "/usr/local/bin/mvNCCheck", line 152, in

 

quit_code = check_net(args.network, args.image, args.inputnode, args.outputnode, args.nshaves, args.inputsize, args.weights, args)

 

File "/usr/local/bin/mvNCCheck", line 130, in check_net

 

net = parse_tensor(args, myriad_config, file_gen=True)

 

File "/usr/local/bin/ncsdk/Controllers/TensorFlowParser.py", line 1059, in parse_tensor

 

desired_shape = node.inputs[1].eval()

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/framework/ops.py", line 713, in eval

 

return _eval_using_default_session(self, feed_dict, self.graph, session)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/framework/ops.py", line 5157, in _eval_using_default_session

 

return session.run(tensors, feed_dict)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/client/session.py", line 929, in run

 

run_metadata_ptr)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/client/session.py", line 1152, in _run

 

feed_dict_tensor, options, run_metadata)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/client/session.py", line 1328, in _do_run

 

run_metadata)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/client/session.py", line 1348, in _do_call

 

raise type(e)(node_def, op, message)

 

tensorflow.python.framework.errors_impl.InvalidArgumentError: You must feed a value for placeholder tensor 'input_input' with dtype float and shape [?,28,28,1]

 

[[node input_input (defined at /usr/local/bin/ncsdk/Controllers/TensorFlowParser.py:211) = Placeholder[dtype=DT_FLOAT, shape=[?,28,28,1], _device="/job:localhost/replica:0/task:0/device:CPU:0"]()]]

 

Caused by op 'input_input', defined at:

 

File "/usr/local/bin/mvNCCheck", line 152, in

 

quit_code = check_net(args.network, args.image, args.inputnode, args.outputnode, args.nshaves, args.inputsize, args.weights, args)

 

File "/usr/local/bin/mvNCCheck", line 130, in check_net

 

net = parse_tensor(args, myriad_config, file_gen=True)

 

File "/usr/local/bin/ncsdk/Controllers/TensorFlowParser.py", line 211, in parse_tensor

 

tf.import_graph_def(graph_def, name="")

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/util/deprecation.py", line 488, in new_func

 

return func(*args, **kwargs)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/framework/importer.py", line 442, in import_graph_def

 

_ProcessNewOps(graph)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/framework/importer.py", line 234, in _ProcessNewOps

 

for new_op in graph._add_new_tf_operations(compute_devices=False): # pylint: disable=protected-access

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/framework/ops.py", line 3440, in _add_new_tf_operations

 

for c_op in c_api_util.new_tf_operations(self)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/framework/ops.py", line 3440, in

 

for c_op in c_api_util.new_tf_operations(self)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/framework/ops.py", line 3299, in _create_op_from_tf_operation

 

ret = Operation(c_op, self)

 

File "/home/ramreddyy/.local/lib/python3.5/site-packages/tensorflow/python/framework/ops.py", line 1770, in init

 

self._traceback = tf_stack.extract_stack()

 

InvalidArgumentError (see above for traceback): You must feed a value for placeholder tensor 'input_input' with dtype float and shape [?,28,28,1]

 

[[node input_input (defined at /usr/local/bin/ncsdk/Controllers/TensorFlowParser.py:211) = Placeholder[dtype=DT_FLOAT, shape=[?,28,28,1], _device="/job:localhost/replica:0/task:0/device:CPU:0"]()]]
Tags (1)
0 Kudos
1 Reply
idata
Community Manager
752 Views

@Tome_at_Intel Can you help me out in resolving above error?

 

Thanks in advance.
Reply